Up: RISC-V-Dependent [Contents][Index]

#### 9.38.1 Options

The following table lists all available RISC-V specific options

`-fpic`

  Generate position-independent code

`-fno-pic`

  Don’t generate position-independent code (default)

`-march=ISA`

  Select the base isa, as specified by ISA. For example -march=rv32ima.

`-mabi=ABI`

  Selects the ABI, which is either "ilp32" or "lp64", optionally followed by "f", "d", or "q" to indicate single-precision, double-precision, or quad-precision floating-point calling convention, or none to indicate the soft-float calling convention.